## Shoe size data from https://www.statcrunch.com/5.0/viewreport.php?reportid=35115
## Data from https://www.statcrunch.com/app/index.php?dataid=450205

library(readxl)
ssdat <- read_excel("hw3-sullivan-statistical-survey-data.xlsx",1)
# Redo their analysis:
fit0 <- lm(Height~Foot, data=ssdat)
summary(fit0)
# We can access elements of the object returned
# by a function by treating the function call
# as if it were an object, e.g. a data frame:
Rsq0 <- summary(fit0)$adj.r.squared
Rsq0

# From the regression on the website listed above (compare to above)
B0 = 50.874798;
B1 = 1.6565183;
sd = 3.7840705;
N = nrow(ssdat); N # sample size

## Create vectors ShoeSize and ExpectedHeight.
ShoeSize = ssdat$Foot
ExpectedHeight = B0 + B1 * ShoeSize

## Simulated data set 
set.seed(123)
fakedata = data.frame(ShoeSize = ssdat$Foot, 
                      Height = rnorm(N,mean=ExpectedHeight,sd=sd))
fitfake = lm(Height~ShoeSize, data=fakedata)
fitfakesumm = summary(fitfake)
fitfakesumm$adj.r.squared

## Now repeate the above K times and plot the distribution of Rsq values
K=50000
Rsq = rep(NA,K) # place holder for Rsq values
for(i in 1:K) {
  # You fill in these details! :)
}

hist(Rsq,50)
abline(v=Rsq0,col="red")
